<?php

$xmlFile = "xml/foo.xml";
$xslFile = "xsl/foo.xsl";

$proc = new SaxonProcessor();

$proc->setSourceFile($xmlFile);
$proc->setStylesheetFile($xslFile);

$result = $proc->transformToString();

if ($result == NULL) {
    $errCount = $proc->getExceptionCount();
    if ($errCount > 0) {
        for ($i = 0; $i < $errCount; $i++) {
            $errCode = $proc->getErrorCode(intval($i));
            $errMessage = $proc->getErrorMessage(intval($i));
            echo 'Expected error: Code='.$errCode.' Message='.$errMessage;
        }
        $proc->exceptionClear();
    }
}
echo $result;

$proc->clearParameters();
$proc->clearProperties();
